summaryrefslogtreecommitdiff
path: root/dev-vcs/git-branchless/git-branchless-0.11.1.ebuild
diff options
context:
space:
mode:
authorLibravatar Terin Stock <terinjokes@gmail.com>2026-07-31 14:14:17 +0200
committerLibravatar Terin Stock <terinjokes@gmail.com>2026-07-31 14:14:17 +0200
commit3cb00878e7f2637ac05ccfbaafad4410be905728 (patch)
tree0c3dc260b43cc2208c2386d99b4bcaf6f19fd6bc /dev-vcs/git-branchless/git-branchless-0.11.1.ebuild
parent*/*: update Plover and dependencies (diff)
downloadebuilds-3cb00878e7f2637ac05ccfbaafad4410be905728.tar.xz
dev-vcs/git-branchless: add 0.11.1, drop 0.10.0
Diffstat (limited to 'dev-vcs/git-branchless/git-branchless-0.11.1.ebuild')
-rw-r--r--dev-vcs/git-branchless/git-branchless-0.11.1.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/dev-vcs/git-branchless/git-branchless-0.11.1.ebuild b/dev-vcs/git-branchless/git-branchless-0.11.1.ebuild
new file mode 100644
index 0000000..6122832
--- /dev/null
+++ b/dev-vcs/git-branchless/git-branchless-0.11.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+RUST_MIN_VER="1.86.0"
+CRATES=" "
+inherit cargo
+
+DESCRIPTION="Branchless workflow for Git"
+HOMEPAGE="https://github.com/arxanas/git-branchless"
+SRC_URI="https://github.com/arxanas/git-branchless/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://share.terinstock.com/${P}-vendor.tar.xz "
+
+LICENSE="|| ( MIT Apache-2.0 )"
+LICENSE+=" MIT Apache-2.0 Unicode-DFS-2016 0BSD Apache-2.0-with-LLVM-exceptions"
+LICENSE+=" BSD-2 BSD ISC Unlicense MPL-2.0 CC0-1.0 Boost-1.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ dev-libs/libgit2
+ dev-db/sqlite:3
+ virtual/pkgconfig
+"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+ cargo_src_unpack
+ ln -s "${WORKDIR}/vendor/"* "${CARGO_HOME}/gentoo/" || die
+}
+
+src_prepare() {
+ default
+
+ export LIBGIT2_NO_VENDOR=1
+ export LIBSQLITE3_SYS_USE_PKG_CONFIG=1
+ export PKG_CONFIG_ALLOW_CROSS=1
+}
+
+src_configure() {
+ cargo_gen_config
+ cargo_src_configure --no-default-features --bin git-branchless
+}
+
+src_install() {
+ cargo_src_install --path ./git-branchless
+}